---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: ConfigMap
  metadata:
    annotations:
      fabric8.io/iconUrl: https://funktion.fabric8.io/img/profile.png
    labels:
      funktion.fabric8.io/kind: Runtime
      provider: fabric8
      project: funktion-runtimes
      version: 1.1.41
      group: io.fabric8.funktion
    name: nodejs
  data:
    fileExtensions: js
    debugPort: "5858"
    deployment: |
      metadata:
        annotations:
          fabric8.io/iconUrl: "https://funktion.fabric8.io/img/profile.png"
        labels:
          kind: function
          name: hello
      spec:
        replicas: 1
        template:
          metadata:
            labels:
              kind: function
              name: hello
          spec:
            terminationGracePeriodSeconds: 1
            containers:
            - image: funktion/funktion-nodejs-runtime:1.0.3
              name: connector
              imagePullPolicy: IfNotPresent
              volumeMounts:
                - name: source
                  readOnly: true
                  mountPath: /usr/src/app/funktion
              livenessProbe:
                httpGet:
                  path: "/healthz"
                  port: 8888
                initialDelaySeconds: 30
              readinessProbe:
                httpGet:
                  path: "/healthz"
                  port: 8888
                initialDelaySeconds: 2
            volumes:
            - name: source
              configMap:
                name: hello
                items:
                - key: source
                  path: source.js
    deploymentDebug: |
      metadata:
        annotations:
          fabric8.io/iconUrl: "https://funktion.fabric8.io/img/profile.png"
        labels:
          kind: function
          name: hello
      spec:
        replicas: 1
        template:
          metadata:
            labels:
              kind: function
              name: hello
          spec:
            terminationGracePeriodSeconds: 1
            containers:
            - image: funktion/funktion-nodejs-runtime:1.0.3
              command:
              - node
              - '--inspect'
              - '--debug=5858'
              - server.js
              - '--codepath=./funktion/source.js'
              name: connector
              imagePullPolicy: IfNotPresent
              volumeMounts:
                - name: source
                  readOnly: true
                  mountPath: /usr/src/app/funktion
              livenessProbe:
                httpGet:
                  path: "/healthz"
                  port: 8888
                initialDelaySeconds: 30
              readinessProbe:
                httpGet:
                  path: "/healthz"
                  port: 8888
                initialDelaySeconds: 2
            volumes:
            - name: source
              configMap:
                name: hello
                items:
                - key: source
                  path: source.js
    service: |
      metadata:
        annotations:
          fabric8.io/iconUrl: "https://funktion.fabric8.io/img/profile.png"
      spec:
        ports:
        - port: 80
          targetPort: 8888
